Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Groovy] Class ForwardMethod

    java.lang.Object
      org.codehaus.groovy.grails.web.metaclass.ForwardMethod

    class ForwardMethod

Implements performing a forward.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`static java.lang.String` | `CALLED`

Property Summary
`UrlMappingsHolder` | `holder`

Constructor Summary
`ForwardMethod(UrlMappingsHolder urlMappingsHolder)`

Method Summary
`java.lang.String` | `forward(HttpServletRequest request, HttpServletResponse response, java.util.Map params)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CALLED

    public static final java.lang.String CALLED

Property Detail

### holder

    UrlMappingsHolder holder

Constructor Detail

### ForwardMethod

    ForwardMethod(UrlMappingsHolder urlMappingsHolder)

Method Detail

### forward

    java.lang.String forward(HttpServletRequest request, HttpServletResponse response, java.util.Map params)

Groovy Documentation